Get current user's sticky preferences

Returns string-valued UI selections for the current user.

Required Roles

Service Administrator

REST Resource

GET /HyperionPlanning/rest/v3/applications/{application}/me/stickypreferences

Request

Parameters:

Table 3-47 Request Parameters

Name Description Type Required Default
application The name of the application. path Yes None

No request body is defined for this operation.

Example URL

https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision/me/stickypreferences

Response

Supported Media Types: application/json

Wrapped preference fields contain defaultValue, value, and useDefault. Extended fields also contain sourceValue, the server-side source value used when saving a preference.

Table 3-48 Response Parameters

Name Description
stickyPrefs Sticky preference keys and values. POST merges supplied entries with existing preferences.
stickyPrefs.lastDimension The dimension most recently selected by the user.
links Links to this resource and related operations.
links[].rel The relationship of the linked resource to this resource.
links[].href The URL of the linked resource.
links[].action The HTTP method used to access the linked resource.

Sample Response

The following shows an example response.

{
  "stickyPrefs": {
    "lastDimension": "Entity"
  },
  "links": [
    {
      "rel": "self",
      "href": "https://<BASE-URL>/HyperionPlanning/rest/v3/applications/Vision",
      "action": "GET"
    }
  ]
}